Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039860
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-12-27 18:142019-01-03 11:37
ReporterucarrionView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revisione59314799f1b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date2018-12-27
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039860: '/' character as C&R document separator character not working well

Description''/' character as C&R document separator character not working well when scanning. If this character is set to be the separator character, the following szenario is reproduced (example):

+Original order: VBS1/0000088
+Replacing order (incorrect): VBS1/89
+Replacing order (should be correct): VBS1/0000088/1

Webpos seems to be reading wrongly the '/' character. It looks like it to do (in the example):

0000088 + 1 = 89


Issue related: https://issues.openbravo.com/view.php?id=39634 [^]
Steps To ReproduceIn backend:
+In 'Organization' tab, header lever, search the field 'Cancel&Replace separator character'
+Set it to /

In webpos:
+Create an order adding a product
+Pay the order
+Open the orden again
+Execute Cancel&Replace option
+Check the explained szenario is reproduced


Video:
https://drive.google.com/file/d/16d9WJYPYWtdva043UtwoY9bwpbNem3cR/view [^]
Proposed SolutionReplacing order (should be correct)(in the example explained previosuly): VBS1/0000088/1
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039634 closedranjith_qualiantech_com Scaning GUN no able to scan C&R documents 

-  Notes
(0108794)
hgbot (developer)
2019-01-03 06:53

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: e59314799f1ba18ae02ae1dbb78d192c5c4c2d2a
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Jan 03 11:22:46 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e59314799f1ba18ae02ae1dbb78d192c5c4c2d2a [^]

Fixed issue 39860 : Cancel and Replace document number should be generated correctly with forward slash separator

* While splitting document number, terminal docNoPrefix must be removed along with DocNoSeperator if includeDocNoSeperator is enabled

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2018-12-27 18:14 ucarrion New Issue
2018-12-27 18:14 ucarrion Assigned To => Retail
2018-12-27 18:14 ucarrion Regression date => 2018-12-27
2018-12-27 18:14 ucarrion Triggers an Emergency Pack => No
2018-12-28 12:21 ranjith_qualiantech_com Relationship added related to 0039634
2018-12-28 14:17 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-12-28 14:17 ranjith_qualiantech_com Status new => scheduled
2019-01-03 06:53 hgbot Checkin
2019-01-03 06:53 hgbot Note Added: 0108794
2019-01-03 06:53 hgbot Status scheduled => resolved
2019-01-03 06:53 hgbot Resolution open => fixed
2019-01-03 06:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e59314799f1ba18ae02ae1dbb78d192c5c4c2d2a [^]
2019-01-03 11:37 guilleaer Review Assigned To => guilleaer
2019-01-03 11:37 guilleaer Status resolved => closed
2019-01-03 11:37 guilleaer Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker